Package net.snowflake.client.api.resultset

## Interface FieldMetadata

    public interface FieldMetadata

Metadata describing a field in a structured type (OBJECT, ARRAY, MAP). This interface provides read-only access to field information including name, type, precision, scale, and nested fields.

### Method Summary

All Methods Instance Methods Abstract Methods
`SnowflakeType` `getBase()` Gets the base Snowflake type of the field.
`int` `getByteLength()` Gets the byte length of the field.
`List<FieldMetadata>` `getFields()` Gets the nested field metadata for structured types (OBJECT, ARRAY, MAP).
`String` `getName()` Gets the name of the field.
`int` `getPrecision()` Gets the precision of the field.
`int` `getScale()` Gets the scale of the field.
`int` `getType()` Gets the SQL type code of the field.
`String` `getTypeName()` Gets the type name of the field.
`boolean` `isFixed()` Checks if the field has a fixed size.
`boolean` `isNullable()` Checks if the field is nullable.

### Method Detail

#### getName

    String getName()

Gets the name of the field.

Returns:
  the field name

#### getTypeName

    String getTypeName()

Gets the type name of the field.

Returns:
  the type name

#### getType

    int getType()

Gets the SQL type code of the field.

Returns:
  the SQL type code as defined in `Types`

#### isNullable

    boolean isNullable()

Checks if the field is nullable.

Returns:
  true if the field can contain null values, false otherwise

#### getByteLength

    int getByteLength()

Gets the byte length of the field.

Returns:
  the byte length

#### getPrecision

    int getPrecision()

Gets the precision of the field.

Returns:
  the precision

#### getScale

    int getScale()

Gets the scale of the field.

Returns:
  the scale

#### isFixed

    boolean isFixed()

Checks if the field has a fixed size.

Returns:
  true if the field has a fixed size, false otherwise

#### getBase

    SnowflakeType getBase()

Gets the base Snowflake type of the field.

Returns:
  the base `SnowflakeType`

#### getFields

    List<FieldMetadata> getFields()

Gets the nested field metadata for structured types (OBJECT, ARRAY, MAP).

Returns:
  list of nested field metadata, or empty list if no nested fields